# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject1
# FileName:      read_ini.py
# Author:       xxxxxxx
# Datetime:     2023/8/2 19:24
# Description:
# #号开头的代码表示注释信息
# ---------------------------------------------------------------------------
import configparser
import os

from homewoke.接口pytest框架.file_data.settings import *


class ReadIni:
    def __init__(self):
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "file_data")
        print(self.data_config_path)
        ini_path = os.path.join(self.data_config_path, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path, encoding="utf-8")
        print(self.conf)

    def get_file_path(self, key):
        file_name = self.conf.get("file", key).strip()
        print(file_name)
        return os.path.join(self.data_config_path, file_name)

    def get_host(self, key):
        return self.conf.get(TEST_IP, key).strip()

    def get_table_name(self, key):
        return self.conf.get(TABLE, key).strip()

    def get_sql_connect_message(self, key):
        return self.conf.get(SQL,key).strip()


if __name__ == '__main__':
    read_ini = ReadIni()
    print(read_ini.get_file_path(EXCEL))
    #D:\pythonProject1\homewoke\接口pytest框架\file_data\用例.xlsx
    # D:\pythonProject1\homewoke\接口pytest框架\file_data\用例.xlsx

    print(read_ini.get_host(TEST_IP))
    print(read_ini.get_table_name(TABLE))
    print(read_ini.get_sql_connect_message(HOST))










